      SUBROUTINE ASPECT(AJUNK)
C
C  DUMMY ROUTINE FOR ZETA EXTENSION TO CALCOMP LIBRARY.
C  IF YOU HAVE ZETA, LOAD WITH ZETA LIBRARY, OTHERWISE THIS
C  ROUTINE SERVES AS NULL ROUTINE.
C
      RETURN
      END
      SUBROUTINE DASHDF(I1,I2,I3,I4)
C
C  DUMMY ROUTINE FOR ZETA EXTENSION TO CALCOMP LIBRARY.
C  REPLACE WITH ZETA LIBRARY IF HAVE ZETA PLOTTER.
C
      RETURN
      END
       SUBROUTINE DASHS(ARRAY,IJUNK)
C
C  DUMMY ROUTINE FOR CALCOMP LIBRARY ROUTINE DASHS.
C  REPLACE WITH CLACOMP LIBRARY ROUTINE IF AVAILABLE.
C
       DIMENSION ARRAY(*)
       RETURN
       END
      SUBROUTINE NEWPEN(IPENNO)
C
C     PROVIDE DUMMY ROUTINES FOR THE CALCOMP LIBRARY
C     ROUTINES FOR SITES THAT DO NOT HAVE IT.
C
      PRINT *, 'CALCOMP LIBRARY ROUTINE "NEWPEN" NOT SUPPORTED'
      RETURN
      END
      SUBROUTINE PLOT(X,Y,IPEN)
C
C     PROVIDE DUMMY ROUTINES FOR THE CALCOMP LIBRARY
C     ROUTINES FOR SITES THAT DO NOT HAVE IT.
C
      PRINT *,'CALCOMP LIBRARY ROUTINE "PLOT" NOT SUPPORTED'
      RETURN
      END
      SUBROUTINE PLOTS(I1,I2,I3)
C
C     PROVIDE DUMMY ROUTINES FOR THE CALCOMP LIBRARY
C     ROUTINES FOR SITES THAT DO NOT HAVE IT.
C
      PRINT *,'CALCOMP LIBRARY ROUTINE "PLOTS" NOT SUPPORTED'
      RETURN
      END
      SUBROUTINE SYMBOL(XPOS,YPOS,HEIGHT,ITEXT,ANGLE,NUMCHR)
C
C     PROVIDE DUMMY ROUTINES FOR THE CALCOMP LIBRARY
C     ROUTINES FOR SITES THAT DO NOT HAVE IT.
C
CCCC  CHARACTER*(*) ITEXT
      DIMENSION ITEXT(*)
C
      PRINT *,'CALCOMP LIBRARY ROUTINE "SYMBOL" NOT SUPPORTED'
      RETURN
      END
      SUBROUTINE GRINFO(ILAHEY,RLAHEY,CLAHEY)
C
C     PROVIDE DUMMY ROUTINES FOR THE CALCOMP LIBRARY
C     ROUTINES FOR SITES THAT DO NOT HAVE IT.
C
      INTEGER ILAHEY(*)
      REAL RLAHEY(*)
      CHARACTER*(*) CLAHEY
      RETURN
      END
      SUBROUTINE GTEXT(ILINE,ICOL,ISYMBL)
C
C     PROVIDE DUMMY ROUTINES FOR THE CALCOMP LIBRARY
C     ROUTINES FOR SITES THAT DO NOT HAVE IT.
C
      CHARACTER*(*) ISYMBL
      RETURN
      END
      SUBROUTINE FILL(NP,PX,PY)
C
C     PROVIDE DUMMY ROUTINES FOR THE CALCOMP LIBRARY
C     ROUTINES FOR SITES THAT DO NOT HAVE IT.
C
      REAL PX(*), PY(*)
      RETURN
      END 
      SUBROUTINE SETPIX(AX,AY,IPEN)
C
C     PROVIDE DUMMY ROUTINES FOR THE CALCOMP LIBRARY
C     ROUTINES FOR SITES THAT DO NOT HAVE IT.
C
      REAL AX, AY
      INTEGER IPEN
      RETURN
      END
